Subject: Re: bug#57090: [BUG] Default Notation for chmod in guix style?

From: "(" <[email-masked]>
Date: Tue, 09 Aug 2022 22:04:24 +0100

On Tue Aug 9, 2022 at 9:59 PM BST, Maxime Devos wrote:
> 'chmod' is not mentioned anywhere in (guix scripts style), so I'd think 
> it's just an oversight. The authority on the matter would be Ludovic 
> Courtès <[email-masked]>

Is it possible that (guix read-print) stores octal numbers directly as
Scheme numbers, with no way to distinguish them from decimal numbers,
which means when they are printed they are just treated as base10? I
poked around a bit in the module but couldn't find the code for number
reading.

    -- (